<?php

$lab = $_GET["lab"];
$ord = $_GET["ord"];
$wad = $_GET["wad"];

# Legge il file dell'ordine

if ($inord = fopen ("../../caosdb/d-registra/".$lab."/".$ord, 'r')) {
	flock ($inord, 1);
	$i = 0;
	$info = Array();
	while (! feof($inord)) {
		$info[$i]=trim(fgets($inord, 1024));
		$i++;
	}
	flock ($inord, 3);
	fclose ($inord);
}
else {
	print "Non &egrave; stato possibile leggere il file dell'ordine";
}

$forni=$info[7];

# Legge le informazioni relative al fornitore

if ($coll = fopen ("../../caosdb/l-fornitori/ForniTot", 'r')) {
	flock ($coll, 1);
	$trovato = 0;
	while (! feof($coll)) {
		$riga=trim(fgets($coll, 1024));
		if($trovato == 0) {
			$tempinfo=explode("¿",$riga);
			if($tempinfo[0] == $forni) {
				$forninfo=$tempinfo;
				$trovato=1;
			}
		}
	}
	flock ($coll, 3);
	fclose ($coll);
}
else {
	print "Non &egrave; stato possibile leggere il file dei fornitori";
}

# Calcola la scadenza del DURC rispetto ad oggi

$allerta = 0;
if($forninfo[6] > "") {
	$scade = explode("/",$forninfo[6]);
	$scadenza = mktime(0,0,0,$scade[1],$scade[0],$scade[2]);
	$traunmese = time()+(3600*720);
	if($traunmese > $scadenza) {
		$allerta=1;
	}
}

# Assegna il numero d'ordine

if ($nord = fopen ("../../caosdb/progressivo", 'r')) {
	flock ($nord, 1);
	while (! feof($nord)) {
		$pronum = trim(fgets($nord, 1024));
		$num = (integer) $pronum;
		$num=$num+1;
	}
	flock ($nord, 3);
	fclose ($nord);
}
else {
	print "Non &egrave; stato possibile leggere il progressivo dei numeri d'ordine";
}

?>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Marco Righi - CNR-IN">
<title>
Accettazione Ordine
</title>

<script>
<!--

function pulisci(trgt) {
	switch (trgt) {
		case 1:
		if (document.raccogli.gfdurc.value=="gg") {
			document.raccogli.gfdurc.value="";
		}
		break;

		case 2:
		if (document.raccogli.mfdurc.value=="mm") {
			document.raccogli.mfdurc.value="";
		}
		break;

		case 3:
		if (document.raccogli.afdurc.value=="aaaa") {
			document.raccogli.afdurc.value="";
		}
		break;
	}
}

function registra(lab,ord) {
	if(document.raccogli.GAE.value == "") {
		document.raccogli.GAE.value = "Da definire";
	}

	if(document.raccogli.cig.value > "") {
		if(document.raccogli.durc.value > "") {
			if (document.raccogli.durc.value == "Estero") {
				document.raccogli.scadurc.value = "esente";
				if(confirm("Vuoi veramente registrare questo Ordine?")) {
					document.raccogli.submit();
				}
				else {
					alert("Registrazione annullata dall'operatore");
				}
			}
			else {
				if(document.raccogli.scadurc.value > "") {
					if(confirm("Vuoi veramente registrare questo Ordine?")) {
						document.raccogli.submit();
					}
					else {
						alert("Registrazione annullata dall'operatore");
					}
				}
				else {
					if(document.raccogli.gfdurc.value != ("" || "gg")) {
						if(document.raccogli.mfdurc.value != ("" || "mm")) {
							if(document.raccogli.afdurc.value != ("" || "aaaa")) {
								document.raccogli.scadurc.value = document.raccogli.gfdurc.value+"/"+document.raccogli.mfdurc.value+"/"+document.raccogli.afdurc.value;
								if(confirm("Vuoi veramente registrare questo Ordine?")) {
									document.raccogli.submit();
								}
								else {
									alert("Registrazione annullata dall'operatore");
								}
							}
							else {
								alert("Non hai indicato l'anno di scadenza del Durc!");
							}
						}
						else {
							alert("Non hai indicato il mese di scadenza del Durc!");
						}
					}
					else {
						alert("Non hai indicato il giorno di scadenza del Durc!");
					}
				}
			}
		}
		else {
			alert("Non hai indicato il nome del Durc!");
		}
	}
	else {
		alert("Non hai indicato la Cig!");
	}
}


//-->
</script>
</head>

<body bgcolor="#FFFFFF">
<div style="position: absolute; top: 40px; left: 0px; width: 800px; text-align: center;">
<font face='arial' size="3" color='#000000'>
<?php	print "<b><i>Registrazione Ordine: <font color='#006600'>".$ord."</font></i></b>\n";	?>
</font>
<br>
<font face='arial' size="2" color='#0000ff'>
<b>Se fornitore estero (esente DURC) scrivere "Estero" nel campo DURC.</b>
</font>
<br><br><br>
<table width="600" cellpadding="4" cellspacing="0" border="1" align="center">
	<tr>
		<th width="200" align="center">
			<font face="Arial" color="#000000" size="2">
			Richiedente
			</font>
		</td>
		<th width="150" align="center">
			<font face="Arial" color="#000000" size="2">
			Gruppo
			</font>
		</td>
		<th width="300" align="center">
			<font face="Arial" color="#000000" size="2">
			Fornitore
			</font>
		</td>
	</tr>
	<tr>
		<td width="200" align="center">
			<font face="Arial" color="#000000" size="2">
			<?php	print $info[0]."<br>\n";	?>
			</font>
		</td>
		<td width="150" align="center">
			<font face="Arial" color="#000000" size="2">
			<?php
				if($info[2]==0 ) {
					print $info[1]."<br>\n";
				}
				if($info[2]==1) {
					print $lab." (".$info[1].")<br>\n";
				}
			?>
			</font>
		</td>
		<td width="300" align="center">
			<font face="Arial" color="#000000" size="2">
			<?php	print $info[7]."<br>\n";	?>
			</font>
		</td>
	</tr>
</table>
<br>
<table width="400" cellpadding="4" cellspacing="0" border="0" align="center">
	<tr>
		<td width="400" align="right">
			<font face="Arial" color="#000000" size="3">
			Num. Ordine previsto:
			</font>
		</td>
		<td width="200" align="left">
			<font face="Arial" color="#000000" size="5">
			<b><?php print $num."\n";	?></b>
			</font>
		</td>
	</tr>
</table>
<br>
<form name="raccogli" action="gestiorders.php" method="post">
<table width="400" cellpadding="4" cellspacing="0" border="0" align="center">
	<tr>
		<td width="150" align="right">
			<font face="Arial" color="#000000" size="2">
			CIG
			</font>
		</td>
		<td width="250" align="left">
			<font face="Arial" color="#000000" size="2">
			<input name='cig' type='text' value='' size='40'>
			<?php print "<input name='forni' type='hidden' value='".$forninfo[0]."'>\n";	?>
			</font>
		</td>
	</tr>
	<tr>
		<td width="150" align="right">
			<font face="Arial" color="#000000" size="2">
			CUP
			</font>
		</td>
		<td width="250" align="left">
			<font face="Arial" color="#000000" size="2">
			<input name='CUP' type='text' value='' size='40'>
			<input name='GAE' type='hidden' value='' size='40'>
			</font>
		</td>
	</tr>
	<tr>
		<td width="150" align="right">
			<font face="Arial" color="#000000" size="2">
			DURC
			</font>
		</td>
		<td width="250" align="left">
			<font face="Arial" color="#000000" size="2">
			<?php print "<input name='durc' type='text' value='".$forninfo[5]."' size='40'>\n<input name='oridurc' type='hidden' value='".$forninfo[5]."'>\n";	?>
			</font>
		</td>
	</tr>
	<tr>
<?php
	if($allerta==1) {
		print "<td width='150' align='right' bgcolor='#ffff7f'>\n<font face='Arial' color='#ff0000' size='2'><b>Scadenza DURC</b></font>\n";
	}
	else {
		print "<td width='150' align='right' bgcolor='#ffffff'>\n<font face='Arial' color='#000000' size='2'>Scadenza DURC</font>\n";
	}
?>
		</td>
		<td width="250" align="left">
			<font face="Arial" color="#000000" size="2">
			<?php
			if($forninfo[6] > "") {
				print "<input name='scadurc' type='text' value='".$forninfo[6]."' size='40'>\n<input name='oriscadurc' type='hidden' value='".$forninfo[6]."'>\n";
			}
			else {
				print "<input name='gfdurc' type='text' value='gg' size='3' onFocus='pulisci(1)'>&nbsp;<input name='mfdurc' type='text' value='mm' size='3' onFocus='pulisci(2)'>&nbsp;<input name='afdurc' type='text' value='aaaa' size='5' onFocus='pulisci(3)'><input name='oriscadurc' type='hidden' value=''><input name='scadurc' type='hidden' value=''>\n";
			}
			?>
			</font>
		</td>
	</tr>
	<tr>
		<td colspan="2" width="400" align="center">
			<font face="Arial" color="#000000" size="2">
			<br><br>
			<?php print "<input type='button' value='Registra' onClick='javascript: registra(\"".$lab."\",\"".$ord."\")'>\n";	?>
			</font>
		</td>
	</tr>
</table>
<input name='action' type='hidden' value='1'>
<?php print "<input name='lab' type='hidden' value='".$lab."'>\n<input name='ord' type='hidden' value='".$ord."'>\n<input name='wad' type='hidden' value='".$wad."'>\n";	?>
</div>
</form>

</body>
</html>
