<?php

# qui troviamo i files visibili contenuti nelle cartelle di registrazione

$dirname = "../../Caosdb/e-stampa";
$regidir = opendir($dirname);
$f=0;
while(gettype($regsubdir=readdir($regidir)) != boolean) {
	if($regsubdir[0] != ".") {
		$cycdir[$f] = $regsubdir;
		$f++;
	}
}
closedir($regidir);

$g=0;
for($cy=0;$cy<count($cycdir);$cy++) {
	if(is_dir($dirname."/".$cycdir[$cy])) {
		$recsubdir = opendir($dirname."/".$cycdir[$cy]);
		while(gettype($regifile=readdir($recsubdir)) != boolean) {
			if($regifile[0] != ".") {
				$tregifile[$g] = $regifile;
				$tregidir[$g] = $cycdir[$cy];
				$g++;
			}
		}
		closedir($recsubdir);
	}
}

# ora apriamo ciascun file e troviamo carta dell'ordine, fornitore e luogo di consegna

if ($g>0) {
	$forni = Array();
	$deliv = Array();
	$sp=0;
	for($nd=0; $nd<$g; $nd++) {
		$nm=0;
		if ($coll = fopen ("../../caosdb/e-stampa/".$tregidir[$nd]."/".$tregifile[$nd], 'r')) {
			flock ($coll, 1);
			$i = 0;
			$info = Array();
			while (! feof($coll)) {
				$info[$i]=trim(fgets($coll, 1024));
				if($info[$i]=="¿") {
					$info[$i]="";
				}
				$i++;
			}
			$deliv[$nd]=$info[14];
			$forni[$nd]=$info[15];
			$nm=($info[27]*5)+28;
			$carta[$nd]=$info[$nm];
//			print $carta[$nd];
			flock ($coll, 3);
			fclose ($coll);
		}
		else {
			print "Non &egrave; stato possibile leggere i files degli ordini da spedire";
		}
	}

# poi definiamo un array in relazione al Fornitore ed al tipo di ordine: univoco o condiviso, MA tra carte default

	$spedisci[0][0] = 0;
	for($nd=0; $nd<$g; $nd++) {
		if ($carta[$nd]=="default") {
			$spedisci[$nd][0] = 0;
			$spedisci[$nd][5] = 0;
			for($rd=0; $rd<$g; $rd++) {
				if ($carta[$rd]=="default") {
					if ($rd!=$nd) {

						if ($forni[$nd]==$forni[$rd]) {
							# assegniamo il fornitore condiviso e li contiamo
							if($nd<$rd) {
								$spedisci[$nd][0]= 1;
								$spedisci[$nd][1]= substr($forni[$nd],0,10);
								$spedisci[$nd][2]= $tregifile[$nd];
								$spedisci[$nd][3]= $tregidir[$nd];
								$spedisci[$nd][4]= $deliv[$nd];
								$spedisci[$nd][5]= 1;
							}
							else {
								$spedisci[$nd][0]= 1;
								$spedisci[$nd][1]= substr($forni[$nd],0,10);
								$spedisci[$nd][2]= $tregifile[$nd];
								$spedisci[$nd][3]= $tregidir[$nd];
								$spedisci[$nd][4]= $deliv[$nd];
								$spedisci[$nd][5]= 0;
							}
							$rd=$g;
						}
					}
				}
			}
			if($spedisci[$nd][0]==0) {
				# assegniamo il fornitore univoco
				$spedisci[$nd][1]= substr($forni[$nd],0,10);
				$spedisci[$nd][2]= $tregifile[$nd];
				$spedisci[$nd][3]= $tregidir[$nd];
				$spedisci[$nd][4]= $deliv[$nd];
				$spedisci[$nd][5]= 0;
			}
		}
	}
}

# adesso puliamo la cartella h-spedisci ma prima creiamo una copia in modo che l'ordine non vada perso se la routine si ferma

$spediname = "../../Caosdb/h-spedisci";
$recovername = "../../Caosdb/r-recovery";
$spedidir = opendir($spediname);
while(gettype($spesubname=readdir($spedidir)) != boolean) {
	if($spesubname[0] != ".") {
		if(is_dir($spediname."/".$spesubname)) {
			mkdir($recovername."/".$spesubname, 0777);
			$spesubdir = opendir($spediname."/".$spesubname);
			while(gettype($spesubfile=readdir($spesubdir)) != boolean) {
				if($spesubfile[0] != ".") {
					$pathS = $spediname."/".$spesubname."/".$spesubfile;
					$pathD = $recovername."/".$spesubname."/".$spesubfile;
 					copy($pathS, $pathD);
					unlink($spediname."/".$spesubname."/".$spesubfile);
				}
			}
			closedir($spesubdir);
		}
		rmdir($spediname."/".$spesubname);
	}
}
closedir($spedidir);

# ora, quanti fornitori condivisi ci sono? Creiamo le rispettive cartelle con numeri per nomi a partire da 100
# e ricopiamo i files a fornitore condiviso che ancora restano da spedire, suddivisi in funzione del fornitore.

$w=100;
for ($l=0; $l<$g; $l++) {
	if($spedisci[$l][0]==1){
		if($spedisci[$l][5]==1) {
			mkdir("../../Caosdb/h-spedisci/".$w, 0777);
			for ($la=0; $la<$g; $la++) {
				if($spedisci[$la][1]==$spedisci[$l][1]){
					if ($entra2 = fopen ("../../caosdb/e-stampa/".$spedisci[$la][3]."/".$spedisci[$la][2], 'r')) {
						flock ($entra2, 1);
						if ($fuori2 = fopen ("../../caosdb/h-spedisci/".$w."/".$spedisci[$la][2], 'w')) {
							flock ($fuori2, 2);
							while (! feof($entra2)) {
								$biga = trim(fgets($entra2, 1024));
								fwrite($fuori2, $biga."\n");
							}
							flock ($fuori2, 3);
							fclose ($fuori2);
						}
						flock ($entra2, 3);
						fclose ($entra2);
					}
					else {
						print "Non &egrave; stato possibile leggere un file a fornitore condiviso";
					}
				}
			}
			$w++;
		}
	}
}

?>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Marco Righi - CNR-IN">
<title>
Elenco Ordini in Spedizione
</title>

<script>
<!--

function mostra(lab,fir) {
	ordine = window.open("mostraforder.php?lab="+lab+"&ord="+fir,"Visualizzazione_Ordine","Height=500px,width=500px,screenX=700px,screenY=50px,scrollbars=yes,resizable=no");
	ordine.focus();
}

function printa(lab,fir) {
	stampascoff = window.open("stampascarti.php?lab="+lab+"&ord="+fir,"Vista_scarti","Height=650px,width=600px,screenX=100px,screenY=50px,scrollbars=yes,resizable=no");
	parent.parent.Comandi.aggiorna();
	stampascoff.focus();
}

function correggi(lab,fir) {
	document.location.href='correggistampa.php?lab='+lab+'&ord='+fir;
}

function cndprint(rid) {
	stampacordine = window.open("stampacuscarti.php?rid="+rid,"Scarti_Comuni","Height=650px,width=600px,screenX=100px,screenY=50px,scrollbars=yes,resizable=no");
	parent.parent.Comandi.aggiorna();
}

function aggiorna() {
	document.location.reload();
}

function recover() {
//   window.open("stamparecovery.php","Scarti_Speciali","Height=650px,width=600px,screenX=100px,screenY=50px,scrollbars=yes,resizable=no");
}

//-->
</script>
</head>

<body bgcolor="#ffffff">

<div style="position:absolute; top:40px; left:50px; width: 720px; text-align: center;">
<font face="arial" size="4" color="#000000">
<b><i>Elenco degli Ordini in attesa di Spedizione</i></b>
</font>
<br><br>
<font face="arial" size="3" color="#006600">
<b><i>a Fornitore specifico</i></b>
</font>
<br><br>
<table cellspacing="0" cellpadding="6" border="1" width="98%">
	<tr>
		<th align="center">
			<font face="arial" size="2" color="#000000">
			Rif. preliminare
			</font>
		</td>
		<th align="center">
			<font face="arial" size="2" color="#000000">
			Gruppo di Spesa
			</font>
		</td>
		<th colspan="2" align="center">
			<font face="arial" size="2" color="#000000">
			Azioni
			</font>
		</td>
	</tr>
<?php

for ($i=0; $i<$g; $i++) {
	if($spedisci[$i][0]==0) {
		print "<tr>";
		print "<td align='center'><font face='arial' size='3' color='#000000'><a href='javascript: mostra(\"".$spedisci[$i][3]."\",\"".$spedisci[$i][2]."\")'>".$spedisci[$i][2]."</a></font></td>\n";
		print "<td align='center'><font face='arial' size='3' color='#000000'>".$spedisci[$i][3]."</font></td>\n";
		print "<td align='center' ><font face='arial' size='3' color='#000000'><input type='button' value='Stampa' onClick='javascript: printa(\"".$spedisci[$i][3]."\",\"".$spedisci[$i][2]."\")'></font></td>\n";
		print "<td align='center' bgcolor='#ffffcc'><font face='arial' size='3' color='#000000'><input type='button' value='Correggi' onClick='javascript: correggi(\"".$spedisci[$i][3]."\",\"".$spedisci[$i][2]."\")'></font></td>\n";
		print "<tr>\n";
	}
}

?>
</table>
<br><br><br>

<font face="arial" size="3" color="#000099">
<b><i>a Fornitore condiviso</i></b>
</font>
<br><br>
<table cellspacing="0" cellpadding="6" border="1" width="98%">
	<tr>
		<th align="center">
			<font face="arial" size="2" color="#000000">
			Fornitore
			</font>
		</td>
		<th align="center">
			<font face="arial" size="2" color="#000000">
			Rif. preliminare
			</font>
		</td>
		<th align="center">
			<font face="arial" size="2" color="#000000">
			Gruppo di Spesa
			</font>
		</td>
		<th colspan="2" align="center">
			<font face="arial" size="2" color="#000000">
			Azioni
			</font>
		</td>
	</tr>
<?php

$wa=100;
for ($i=0; $i<$g; $i++) {
	if($spedisci[$i][0]==1) {
		if($spedisci[$i][5]==1) {
			print "<tr>";
			print "<td align='center'><font face='arial' size='3' color='#000000'>".$spedisci[$i][1]."</font></td>\n";
			print "<td align='center'>";
			for($m=0; $m<$g; $m++) {
				if($spedisci[$m][1]==$spedisci[$i][1]) {
					print "<font face='arial' size='3' color='#000000'>".$spedisci[$m][2]."</font><br>";
				}
			}
			print "</td>\n";
			print "<td align='center'>";
			for($n=0; $n<$g; $n++) {
				if($spedisci[$n][1]==$spedisci[$i][1]) {
					print "<font face='arial' size='3' color='#000000'>".$spedisci[$n][3]."</font><br>";
				}
			}
			print "</td>\n";
			print "<td align='center'><font face='arial' size='3' color='#000000'><input type='button' value='Stampa' onClick='javascript: cndprint(\"".$wa."\")'></font></td>\n";
//			print "<td align='center' bgcolor='#ffffcc'><font face='arial' size='3' color='#000000'><input type='button' value='Void' onClick='javascript: cndvoid(\"".$spedisci[$i][1]."\",\"".$wa."\")'></font></td>\n";
			print "<tr>\n";
			$wa++;
		}
	}
}

# ora che non ci sono pi¿ rischi puliamo la cartella recovery

/*
DEVI PRENDERE IN CONSIDERAZIONE LA SOTTOCARTELLA

if(is_dir($recovername)) {
	$recoverdir = opendir($recovername);
	while(gettype($recoverfile=readdir($recoverdir)) != boolean) {
		if($recoverfile[0] != ".") {
			unlink($recovername."/".$recoverfile);
		}
	}
	closedir($recoverdir);
}

*/
?>
</table>

<br><br><br>
</div>

</body>
</html>
