<?php

$gruppo = $_GET["lab"];
$ordine = $_GET["ord"];

# Definisce l'ordine

$filepath = "../../caosdb/e-stampa/".$gruppo."/".$ordine;

# Apri il file dell'ordine

$i=0;
if ($in = fopen ($filepath, 'r')) {
	flock ($in, 1);
	while (! feof($in)) {
		$info[$i] = trim(fgets($in, 1024));
		$i++;
	}
	flock ($in, 3);
	fclose ($in);
}
else {
	print "Non &egrave; stato possibile aprire il file dell'ordine";
}

# Definisce la data di creazione del file

$data = getdate(filectime($filepath));

$oggi = $data[mday]."/".$data[mon]."/".$data[year];

// trova il tipo di carta su cui stampare l'Ordine

$poscarta = ($info[27]*5)+29;

$posclasse = ($info[27]*5)+32;
$poscriterio = ($info[27]*5)+33;

$classetxt = $info[$posclasse];
$criteriotxt = $info[$poscriterio];

# Ciclo su sgruppi per trovare il responsabile del laboratorio

if ($moll = fopen ("../../caosdb/sgruppi", 'r')) {
	flock ($moll, 1);
	while (! feof($moll)) {
		$biga=trim(fgets($moll, 1024));
		$temp=explode("&",$biga);
		if($temp[0] == $info[9]) {
			$nome=$temp[2];
			$cognome=$temp[1];
		}
	}
	flock ($moll, 3);
	fclose ($moll);
}
else {
	print "Non &egrave; stato possibile leggere il file sgruppi";
}

$resp = $nome." ".$cognome." ----------";

$imgpath = "immagini/Dichiarazione.jpg";
// $imgpath = "../../caosdb/p-progetti/".$info[$poscarta]."/dichi.jpg";

$firmapath = "../../caosdb/o-signatures/".$info[9].".jpg";

?>
<?php

require('../../Caospdf/fpdf.php');

class PDF extends FPDF {
}

$pdf = new PDF();

$pdf->AddPage();
$pdf->Image($imgpath,2,2,200);
$pdf->SetFont('Arial','',12);

$pdf->Text(50,80,$resp);
$pdf->SetXY(22,96);
$pdf->MultiCell(180,6,$classetxt,0,'L');
$pdf->SetXY(22,142);
$pdf->MultiCell(180,6,$criteriotxt,0,'L');

$pdf->Text(38,177,$oggi);
$pdf->Image($firmapath,130,198,40);

$pdf->Output();

?>
