<?php

$gruppo = $_GET["lab"];
$ordine = $_GET["ord"];
$anno = $_GET["anno"];

# legge il percorso di backup

if ($mill = fopen ("../../caosdb/t-backpath", "r")) {
	flock ($mill, 1);
	$copypath = trim(fgets($mill, 1024));
	flock ($mill, 3);
	fclose ($mill);
}
else {
	print "Non &egrave; stato possibile leggere il file del percorso di backup";
}

# qui troviamo il percorso all'ordine contenuto nella cartella di archivio dell'anno richiesto

if($anno == "Corrente") {
	$filepath = "../../Caosdb/f-evasi/Corrente/".$gruppo."/".$ordine;
	$fornipath = "../../caosdb/l-fornitori/ForniTot";
}
else {
	$filepath = "../../../../../../Volumes/".$copypath.$anno."/f-evasi/Corrente/".$gruppo."/".$ordine;
	$fornipath = "../../../../../../Volumes/".$copypath.$anno."/l-fornitori/ForniTot";
}

# Apri il file dell'ordine

$i=0;
if ($in = fopen ($filepath, 'r')) {
	flock ($in, 1);
	while (! feof($in)) {
		$minfo[$i] = trim(fgets($in, 1024));
		$i++;
	}
	flock ($in, 3);
	fclose ($in);
}
else {
	print "Non &egrave; stato possibile aprire il file dell'ordine";
}

# Legge le informazioni relative al fornitore dell'anno considerato

if ($coll = fopen ($fornipath, 'r')) {
	flock ($coll, 1);
	$trovato = 0;
	while (! feof($coll)) {
		$riga=trim(fgets($coll, 1024));
		$tempinfo=explode("¿",$riga);
		if($tempinfo[0] == $minfo[15]) {
			$citta=$tempinfo[4];
		}
	}
	flock ($coll, 3);
	fclose ($coll);
}
else {
	print "Non &egrave; stato possibile leggere il file dei fornitori";
}

if($citta == "") {
	$citta = "localit&agrave;";
}

$imgpath = "immagini/AlleA.jpg";

?>
<?php

require('../../Caospdf/fpdf.php');

class PDF extends FPDF {
}

$pdf = new PDF();

$pdf->AddPage();
$pdf->Image($imgpath,2,2,200);
$pdf->SetFont('Arial','',12);

$pdf->Text(24,30,$minfo[1]);
$pdf->Text(66,30,$minfo[2]);
$pdf->Text(116,30,$minfo[3]);
$pdf->Text(30,38,$minfo[15]);
$pdf->Text(40,128,$minfo[15]);
$pdf->Text(42,157,$minfo[15]);
$pdf->Text(44,198,$minfo[15]);

$pdf->Output();

?>
