<?php

$gruppo = $_GET["lab"];
$ordine = $_GET["ord"];
$anno = $_GET["anno"];

# legge il percorso di backup

if ($mill = fopen ("../../caosdb/t-backpath", "r")) {
	flock ($mill, 1);
	$copypath = trim(fgets($mill, 1024));
	flock ($mill, 3);
	fclose ($mill);
}
else {
	print "Non &egrave; stato possibile leggere il file del percorso di backup";
}

# qui troviamo il percorso all'ordine contenuto nella cartella di archivio dell'anno richiesto

if($anno == "Corrente") {
	$filepath = "../../Caosdb/f-evasi/Corrente/".$gruppo."/".$ordine;
	$fornipath = "../../caosdb/l-fornitori/ForniTot";
	$delipath = "../../caosdb/n-consegne/Delivery";
}
else {
#	$filepath = "../../../../../../Volumes/".$copypath.$anno."/f-evasi/Corrente/".$gruppo."/".$ordine;
#	$fornipath = "../../../../../../Volumes/".$copypath.$anno."/l-fornitori/ForniTot";
#	$delipath = "../../../../../../Volumes/".$copypath.$anno."/n-consegne/Delivery";
	$filepath = "../../../".$copypath.$anno."/f-evasi/Corrente/".$gruppo."/".$ordine;
	$fornipath = "../../../".$copypath.$anno."/l-fornitori/ForniTot";
	$delipath = "../../../".$copypath.$anno."/n-consegne/Delivery";
}

# Definisce la data --- NON quella odierna ma quella dell'ordine!

$dichidata = getdate(filectime($filepath));

$ieri = $dichidata[mday]."/".$dichidata[mon]."/".$dichidata[year];

# Apri il file dell'ordine

$i=0;
if ($in = fopen ($filepath, 'r')) {
	flock ($in, 1);
	while (! feof($in)) {
		$info[$i] = trim(fgets($in, 1024));
		$i++;
	}
	flock ($in, 3);
	fclose ($in);
}
else {
	print "Non &egrave; stato possibile aprire il file dell'ordine";
}

$posclasse = ($info[27]*5)+32;
$poscriterio = ($info[27]*5)+33;

$classetxt = $info[$posclasse];
$criteriotxt = $info[$poscriterio];

# Ciclo su sgruppi per trovare il responsabile del laboratorio

if ($moll = fopen ("../../caosdb/sgruppi", 'r')) {
	flock ($moll, 1);
	while (! feof($moll)) {
		$biga=trim(fgets($moll, 1024));
		$temp=explode("&",$biga);
		if($temp[0] == $info[9]) {
			$nome=$temp[2];
			$cognome=$temp[1];
		}
	}
	flock ($moll, 3);
	fclose ($moll);
}
else {
	print "Non &egrave; stato possibile leggere il file sgruppi";
}

$resp = $nome." ".$cognome." ----------";

$imgpath = "immagini/Dichiarazione.jpg";
$firmapath = "../../caosdb/o-signatures/".$info[9].".jpg";

?>
<?php

require('../../Caospdf/fpdf.php');

class PDF extends FPDF {
}

$pdf = new PDF();

$pdf->AddPage();
$pdf->Image($imgpath,2,2,200);
$pdf->SetFont('Arial','',12);

$pdf->Text(50,80,$resp);
$pdf->SetXY(22,96);
$pdf->MultiCell(180,6,$classetxt,0,'L');
$pdf->SetXY(22,142);
$pdf->MultiCell(180,6,$criteriotxt,0,'L');

$pdf->Text(38,177,$ieri);
$pdf->Image($firmapath,130,198,40);

$pdf->Output();

?>
