<?php
# Stabilisce se deve essere fatto un backup settimanale od annuale

$frase = "rosso";

# legge il percorso di backup

if ($mill = fopen ("../caosdb/t-backpath", "r")) {
	flock ($mill, 1);
	$copypath = trim(fgets($mill, 1024));
	flock ($mill, 3);
	fclose ($mill);
}
else {
	print "Non &egrave; stato possibile leggere il file del percorso di backup";
}

# valuta che sia/non sia il primo accesso dell'anno. Legge l'ultimo accesso

if ($last = fopen ("../caosdb/ultimo", 'r')) {
	flock ($last, 1);
	$lastrun = trim(fgets($last, 1024));
	flock ($last, 3);
	fclose ($last);
	$go_on = true;
}
else {
	print "Non &egrave; stato possibile leggere il timestamp dell'ultimo accesso";
}

# Stabilisce l'anno attuale ed il trascorso.

$thisdate = getdate();
$thisyear = $thisdate[year];
$lastdate = getdate($lastrun);
$lastyear = $thisyear-1;

# valuta che ci sia il backup dell'anno precedente.

$annpass=0;

# $annualdir="../../../../../../Volumes/".$copypath;

$annualdir = "../../".$copypath;

if ($yearbkdir = opendir($annualdir)) {
	while(false !== ($yearfolder = readdir($yearbkdir))) {
		if($yearfolder[0] != ".") {
			if($yearfolder == $lastyear) {
				$annpass=1;
			}
		}
	}
}
closedir($yearbkdir);

# Stabilisce quanti giorni sono passati da inizio anno e in che settimana siamo

$oggi = $thisdate[yday];
$settimana = ($oggi/7);
$thisweek = $settimana;
settype($thisweek, integer);
$lastweek = $thisweek-1;

# valuta che ci sia il backup della settimana precedente. Legge l'ultimo backup ordinario

$dirname = "fhjgWd-SD6klj81h-_Sajfk9bxy/BackCaos/Corrente/ordinari/";

if ($ordibkdir = opendir($dirname)) {
	$f=0;
	$wbf = gettype($bksubdir=readdir($ordibkdir));
	while(false !== ($bksubdir = readdir($ordibkdir))) {
		if($bksubdir[0] != ".") {
			$weekbkdir[$f] = $bksubdir;
			$f++;
		}
	}
}
closedir($ordibkdir);

$pass=0;
if($f>0) {
	for($t=0;$t<$f;$t++){
		if($weekbkdir[$t] == $lastweek) {
			$pass=1;
		}
	}
}
$outcome=0;

# Controlla la necessit¿ di fare il backup annuale

if($copypath != "") {
	if($annpass == 0) {
		$outcome = 2;
		$frase = "annuale";
	}
	else {
		if($annpass > 0) {

# Se non ¿ il cambio anno, controlla la presenza del backup della settimana precedente

			if($pass==0) {
				$outcome = 1;
				$frase = "settimanale";
			}
			else {
				$outcome = 3;
				header("Location: login.php");
			}
		}
	}
}
else {
	$outcome = 4;
}

?>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Marco Righi - CNR-IN">
<title>
Reindirizzamento
</title>

<script language="Javascript">
<!--


//-->
</script>
</head>

<body bgcolor=#FFFFFF>
<br><br>

<div style="position:relative; width:600px; text-align:center;">
<font face="arial" size="4" color="#3f5f7f">
<b>Effettuazione backup settimanale od annuale</b>
</font>
<br><br><br>
<font face="arial" size="3" color="000000">
Sto effettuando il backup
<?php	print $frase;	?>
 la cui durata &egrave; prevista in un minuto circa.<br>
Per favore siate pazienti...
<br><br>
</font>
</div>

<script>
<!--

<?php

switch($outcome) {
	case 0:
	break;

	case 1:
	print	"document.location.href = 'settimanale.php';\n";
	break;

	case 2:
	print	"document.location.href = 'annuale.php';\n";
	break;

	case 3:
	print	"document.location.href = 'login.php';\n";
	break;

	case 4:
	print	"document.location.href = 'login.php?Err=8';\n";
	break;

	default:
	break;
}

?>

//-->
</script>

</body>
</html>
