<?php

# qui definiamo l'anno corrente

$questanno = getdate();

# qui definiamo i gruppi di lavoro

if ($gruppi = fopen ("../caosdb/sgruppi", 'r')) {
	flock ($gruppi, 1);
	$i=0;
	while (! feof($gruppi)) {
		$riga = trim(fgets($gruppi, 1024));
		$lab[$i]=explode("&",$riga);
		$i++;
	}
	flock ($gruppi, 3);
	fclose ($gruppi);
}
else {
	print "Non &egrave; stato possibile leggere il file degli utenti registratii";
}

# qui contiamo i files visibili contenuti nelle 4 directories di lavoro per tutti i gruppi

$f=0;
$r=0;
$p=0;

for ($cf=0; $cf<(count($lab)-1); $cf++) {
	$firmdir = opendir("../Caosdb/c-firma/".$lab[$cf][0]);
	while(gettype($ffile=readdir($firmdir)) != boolean) {
		if($ffile[0] != ".") {
			$f++;
		}
	}
	closedir($firmdir);

	$regidir = opendir("../Caosdb/d-registra/".$lab[$cf][0]);
	while(gettype($rfile=readdir($regidir)) != boolean) {
		if($rfile[0] != ".") {
			$r++;
		}
	}
	closedir($regidir);

	$printdir = opendir("../Caosdb/e-stampa/".$lab[$cf][0]);
	while(gettype($pfile=readdir($printdir)) != boolean) {
		if($pfile[0] != ".") {
			$p++;
		}
	}
	closedir($printdir);
}

$f=$f+100;
$fstring = (string) $f;

$r=$r+100;
$rstring = (string) $r;

$p=$p+100;
$pstring = (string) $p;

# Qui contiamo le determine attive e quelle in pre-scadenza

$attive = 0;
$prescadute = 0;
if ($boll = fopen ("../caosdb/j-determine/indice", 'r')) {
	flock ($boll, 1);
	while (! feof($boll)) {
		$riga = trim(fgets($boll, 1024));
		if ($riga > "") {
			$info = explode("¿", $riga);
			if($info[0]==1){
				$attive++;
				if($info[1]==1){
					$prescadute++;
				}
			}
		}
	}
}

$at = $attive+100;
$atstring = (string) $at;

$ps = $prescadute+100;
$psstring = (string) $ps;

# Qui leggiamo il progressivo degli ordini archiviati per quest'anno

// if ($evasi = fopen ("../caosdb/f-evasi/Corrente/a-progressivo", 'r')) {
if ($evasi = fopen ("../caosdb/progressivo", 'r')) {
	flock ($evasi, 1);
	while (! feof($evasi)) {
		$evadocs = trim(fgets($evasi, 1024));
	}
	flock ($evasi, 3);
	fclose ($evasi);
}
else {
	print "Non &egrave; stato possibile leggere il progressivo degli ordini archiviati";
}

$evadocs = $evadocs+10000;
$evastring = (string) $evadocs;

?>

<html>
<head>
<title>
Comandi preliminari
</title>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Marco Righi">
<style>

body	{
		color: #000000;
		background-color: #ffffff;
		margin: 0px;
		padding: 0px;
		font-size: 100%;
		font-family: Arial;
		}

#immagine	{
			background-color: #ffffff;
			position:absolute;
			top:0px;
			left:10px;
			height:180px;
			width:200px;
			}

#Titolo1	{
			position:absolute;
			top:180px;
			left:0px;
			margin: 0px 0px 0px 0px;
			padding: 0px 0px 0px 0px;
			width:220px;
			font-size:medium;
			font-family:arial;
			font-style: italic;
			font-weight:bold;
			text-align:center;
			}

#Titolo2	{
			position:absolute;
			top:360px;
			left:0px;
			margin: 0px 0px 0px 0px;
			padding: 0px 0px 0px 0px;
			width:220px;
			font-size:medium;
			font-family:arial;
			font-style: italic;
			font-weight:bold;
			text-align:center;
			}

#Titolo3	{
			position:absolute;
			top:490px;
			left:0px;
			margin: 0px 0px 0px 0px;
			padding: 0px 0px 0px 0px;
			width:220px;
			font-size:medium;
			font-family:arial;
			font-style: italic;
			font-weight:bold;
			text-align:center;
			}

#Comandi		a {
			color: #3f5f7f; text-decoration: none;
			}

#Comandi		a:hover, #Scritte_S a:active{text-decoration: underline;}


#Scritte_S	{
			position:absolute;
			top:230px;
			left:20px;
			margin: 0px 0px 0px 0px;
			padding: 0px 0px 0px 0px;
			width:180px;
			font-size:medium;
			font-family:arial;
			font-weight:normal;
			text-align:left;
			}

#Imgs_R	{
			position:absolute;
			width:70px;
			top:216px;
			left:150px;
			margin: 0px 0px 0px 0px;
			padding: 0px 0px 0px 0px;
			align: right;
			}

#Scritte_D	{
			position:absolute;
			top:400px;
			left:20px;
			margin: 0px 0px 0px 0px;
			padding: 0px 0px 0px 0px;
			width:180px;
			font-size:medium;
			font-family:arial;
			font-weight:normal;
			text-align:left;
			}

#Determine	{
			position:absolute;
			top:385px;
			width:70px;
			left:150px;
			margin: 0px 0px 0px 0px;
			padding: 0px 0px 0px 0px;
			align: right;
			}

#Evasi_R	{
			position:absolute;
			top:530px;
			width:120px;
			left:100px;
			margin: 0px 0px 0px 0px;
			padding: 0px 0px 0px 0px;
			align: right;
			}

</style>
</head>

<body bgcolor='#ffffff'>

<div id="Immagine">
<img src="immagini/chaos.jpg" border="0" width="200">
</div>
<br>
<div id="Titolo1">
	Documenti in Attesa di:
</div>
<div id="comandi">
	<div id="Scritte_S">
		Firma:
		</font>
		<br><br>
		Registrazione:
		<br><br>
		Invio:
		</font>
	</div>
	<div id="Imgs_R">
<?php	print "<img src='immagini/void.gif' border='0' height='38' width='1'><img src='immagini/".$fstring[1].".jpg' border='0' width='27'><img src='immagini/".$fstring[2].".jpg' border='0' width='27'>\n
		<br><img src='immagini/void.gif' border='0' height='38' width='1'><img src='immagini/".$rstring[1].".jpg' border='0' width='27'><img src='immagini/".$rstring[2].".jpg' border='0' width='27'>\n
		<br><img src='immagini/void.gif' border='0' height='38' width='1'><img src='immagini/".$pstring[1].".jpg' border='0' width='27'><img src='immagini/".$pstring[2].".jpg' border='0' width='27'>\n";	?>
	</div>
</div>
<div id="Titolo2">
	Determine Dirigenziali:
</div>
<div id="Scritte_D">
	Attive:
	<br><br>
	In scadenza:
</div>
<div id="Determine">
<?php	print "<img src='immagini/void.gif' border='0' height='38' width='1'><img src='immagini/".$atstring[1].".jpg' border='0' width='27'><img src='immagini/".$atstring[2].".jpg' border='0' width='27'>\n
	<br><img src='immagini/void.gif' border='0' height='38' width='1'><img src='immagini/".$psstring[1].".jpg' border='0' width='27'><img src='immagini/".$psstring[2].".jpg' border='0' width='27'>\n";
?>
</div>

<div id="Titolo3">
	Documenti evasi nell'anno:
</div>
<div id="Evasi_R">
	<?php print	"<img src='immagini/".$evastring[1].".jpg' border='0' width='27'><img src='immagini/".$evastring[2].".jpg' border='0' width='27'><img src='immagini/".$evastring[3].".jpg' border='0' width='27'><img src='immagini/".$evastring[4].".jpg' border='0' width='27'>\n";	?>
</div>

</body>
</html>
