<?php

# Stabilisce se deve essere fatto un backup giornaliero od annuale

$frase = "";
$outcome = 18;
$lastrun = 1388057753;

# valuta che sia/non sia il primo accesso dell'anno. Legge l'ultimo accesso

/*
if ($last = fopen ("../caosdb/ultimo", 'r')) {
	flock ($last, 1);
	$lastrun = trim(fgets($last, 1024));
	flock ($last, 3);
	fclose ($last);
	$go_on = true;
}
else {
	print "Non &egrave; stato possibile leggere il timestamp dell'ultimo accesso";
}
*/

# Stabilisce il giorno ed anno attuale

$nextdate = getdate();
$lastdate = getdate($lastrun);
$lastyear = $lastdate[year];

$anno = $nextdate[year];
$lastyear=$anno-1;

$trail_letters = Array("d","l","m","b","g","v","s");
$yesterday = $nextdate[wday]-1;
if($yesterday < 0) {
	$yesterday = 6;
}
$gg0 = $trail_letters[$yesterday];

$ieri = $gg0.date("dmy", (time()-86400));

# legge il percorso di backup

if ($mill = fopen ("../caosdb/t-backpath", "r")) {
	flock ($mill, 1);
	$copypath = trim(fgets($mill, 1024));
	flock ($mill, 3);
	fclose ($mill);
}
else {
	print "Non &egrave; stato possibile leggere il file del percorso di backup";
}

# Controlla la necessit¿ di fare il backup annuale

if($copypath != "") {
	if($nextdate[year] == $lastdate[year]) {

# Se non ¿ il cambio anno, controlla la presenza del backup del giorno precedente

		if(is_dir("../../../../../../Volumes/".$copypath."Corrente/ordinari/".$ieri)) {
//			header("Location: login.php");
			$outcome = 0;
		}
		else {
			$outcome = 1;
			$frase = "giornaliero";
		}
	}
	else {
		$outcome = 2;
		$frase = "annuale";
	}
}
else {
	if($nextdate[year] > $lastdate[year]) {
		$outcome = 4;
	}
	else {
		$outcome = 3;
	}
}

?>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Marco Righi - CNR-IN">
<title>
Reindirizzamento
</title>

<script language="Javascript">
<!--


//-->
</script>
</head>

<body bgcolor=#FFFFFF>
<br><br>
<div style="position:relative; width:600px; text-align:center;">
<font face="arial" size="4" color="#3f5f7f">
<b>Effettuazione backup giornaliero od annuale</b>
</font>
<br><br><br>
<font face="arial" size="3" color="000000">
St&ograve; effettuando il backup
<?php	print $frase;	?> la cui durata &egrave; prevista in un minuto circa.<br>
Per favore siate pazienti...
<br><br>
</font>
</div>

<div style="position:relative; width:600px; text-align:left;">
<font face="arial" size="3" color="000000">

<?php

switch($outcome) {
	case 0:
	print	"Soutcome = ".$outcome."<br>\n";
	print	"Scopypath = ".$copypath."<br>\n";
	print 	"Snextdate[year] = ".$nextdate[year]."<br>\n";
	print	"Slastdate[year] = ".$lastdate[year]."<br>\n";
	print	"Slastyear = ".$lastyear."<br>\n";
	print	"Sfrase = ".$frase."<br>\n";
	break;

	case 1:
//	print	"document.location.href = 'giornaliero.php';\n";
	print	"Soutcome = ".$outcome."<br>\n";
	print	"Scopypath = ".$copypath."<br>\n";
	print 	"Snextdate[year] = ".$nextdate[year]."<br>\n";
	print	"Slastdate[year] = ".$lastdate[year]."<br>\n";
	print	"Slastyear = ".$lastyear."<br>\n";
	print	"Sfrase = ".$frase."<br>\n";
	break;

	case 2:
//	print	"document.location.href = 'annuale.php';\n";
	print	"Soutcome = ".$outcome."<br>\n";
	print	"Scopypath = ".$copypath."<br>\n";
	print 	"Snextdate[year] = ".$nextdate[year]."<br>\n";
	print	"Slastdate[year] = ".$lastdate[year]."<br>\n";
	print	"Slastyear = ".$lastyear."<br>\n";
	print	"Sfrase = ".$frase."<br>\n";
	break;

	case 3:
//	print	"document.location.href = 'login.php';\n";
	print	"Soutcome = ".$outcome."<br>\n";
	print	"Scopypath = ".$copypath."<br>\n";
	print 	"Snextdate[year] = ".$nextdate[year]."<br>\n";
	print	"Slastdate[year] = ".$lastdate[year]."<br>\n";
	print	"Slastyear = ".$lastyear."<br>\n";
	print	"Sfrase = ".$frase."<br>\n";
	break;

	case 4:
	# Modifica il file delle funzionalit¿ abilitate

/*
	if ($moll = fopen ("../caosdb/newsemaforo", 'w')) {
		flock ($moll, 2);
		fwrite($moll, "0¿0\n");
		flock ($moll, 3);
		fclose ($moll);

	}
	else {
		print "Non &egrave; stato possibile leggere il file delle funzionalit¿ abilitate";
	}
	rename("../caosdb/newsemaforo", "../caosdb/semaforo");
*/

//	print	"document.location.href = 'login.php?mba=1';\n";
	print	"Soutcome = ".$outcome."<br>\n";
	print	"Scopypath = ".$copypath."<br>\n";
	print 	"Snextdate[year] = ".$nextdate[year]."<br>\n";
	print	"Slastdate[year] = ".$lastdate[year]."<br>\n";
	print	"Slastyear = ".$lastyear."<br>\n";
	print	"Sfrase = ".$frase."<br>\n";
	break;

	default:
	break;
}

?>
</font>
</div>


</body>
</html>
