<?php

# definisce il timestamp del momento

$oggi = time();

# crea l'identificativo dell'offerta

$expForni = $_POST["fornitore"];
$condForni = str_replace(" ","",$expForni);
$smForni= substr($condForni,0,6);
$ident = $smForni."_".$oggi;

$percent=0;

# Determinazione dei primi caratteri del file .pdf

if($talpa = fopen($_FILES["offerta_pdf"]["tmp_name"], "r")) {
	flock ($talpa, 1);
	if(!feof ($talpa)) {
		$fourcar = fread($talpa, 4);
	}
	else {
		$percent=2;
	}
	flock ($talpa, 3);
	fclose ($talpa);
}

// $fourcar = "%PDF";
if($percent < 1) {
	if($fourcar == "%PDF") {
		$percent=1;
	}
}

# Determinazione dell'indirizzo di caricamento

$arrindi = explode(".", $_SERVER["REMOTE_ADDR"]);
$indi = $arrindi[0].".".$arrindi[1].".".$arrindi[2].".".$arrindi[3];
$net = $arrindi[0].".".$arrindi[1].".".$arrindi[2];

# valuta il caricamento del file

$successo=0;
$causa=0;

if (($net == "10.108.17") || ($indi == "85.18.64.74")) {
	if ($_FILES["offerta_pdf"]["size"] < 128000000) {
		if ($_FILES["offerta_pdf"]["error"] > 0) {
			$causa = 1;
		}
		else {
	    		if($percent != 1) {
				$causa = 4;
			}
			else {
				if (file_exists("../../Caosdb/m-offerte/pdfs/".$_FILES["offerta_pdf"]["name"])) {
					$causa = 2;
    				}
	    			else {
    					move_uploaded_file($_FILES["offerta_pdf"]["tmp_name"], "../../Caosdb/m-offerte/pdfs/".$ident.".pdf");
    	  				$successo=1;
				}
	    		}
		}
	}
	else {
		$causa = 3;
	}
}
else {
	$causa = 5;
}

if($successo==1) {

# Qui si calcolano la data d'inserimento e quella di scadenza

	$traunmese = date($oggi+2592000);
	$unmesefa = date($oggi-2592000);
	$scad = mktime(0,0,0,$_POST["mm"],$_POST["gg"],$_POST["anno"]);

# Qui bisogna aggiungere la nuova offerta alle altre

	$newoffer = $_POST["fornitore"]."¿".$ident."¿".$_POST["rif"]."¿".$_POST["desc"]."¿".$scad."¿".$_POST["u"]."¿".$_POST["l"];

# Qui si appendono al file in ordine cronologico inverso - prima le pi¿ recenti - e si eliminano le scadute

	if ($coll = fopen ("../../caosdb/m-offerte/offerte", 'r')) {
		flock ($coll, 1);
		if ($out = fopen ("../../caosdb/m-offerte/tmpofferte", 'w')) {
			flock ($out, 2);
			fwrite($out,$newoffer."\n");
			while (! feof($coll)) {
				$riga = trim(fgets($coll, 1024));
				if ($riga > "") {
					$info=explode("¿",$riga);
					if ($info[4] > $unmesefa) {
						fwrite($out,$riga."\n");
					}
					else {
					}
				}
			}
			flock ($out, 3);
			fclose ($out);
		}
		else {
			print "Non &egrave; stato possibile aprire il file delle nuove offerte";
		}
		flock ($coll, 3);
		fclose ($coll);
	}
	else {
		print "Non &egrave; stato possibile leggere il file delle offerte";
	}

	$oldfile="../../caosdb/m-offerte/tmpofferte";
	$newfile="../../caosdb/m-offerte/offerte";
	rename($oldfile, $newfile);
}

?>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Marco Righi - CNR-IN">
<title>
Risultato del caricamento dell'Offerta
</title>

<script>
<!--

function instrada() {
<?php

if($successo==1) {
	print "document.location.href='mostraoffer.php';\n";
}

?>
}

//-->
</script>
</head>

<body bgcolor="#ffffff" onLoad="instrada()">

<div style="position:absolute; top:40px; left:60px; width: 800px; text-align: center;">
<font face="arial" size="4" color="#000000">
<b><i>Risultato del caricamento del file dell'Offerta</i></b>
</font>
<br><br><br>
<font face="arial" size="3" color="#cc0000">
<b>
<?php

switch($causa) {

	case 1:
	print	"Il sistema ha generato il codice di Errore numero: ".$_FILES["offerta_pdf"]["error"]."<br>\n";
	break;

	case 2:
	print	"Il file: ".$_FILES["offerta_pdf"]["name"]." &egrave; gi&agrave; presente nella cartella delle offerte.<br>\n";
	break;

	case 3:
	print	"Il file di cui si &egrave; tentato il caricamento ha dimensioni maggiori di 128 MB.<br><br>\nNome del file: ".$_FILES["offerta_pdf"]["name"]."<br><br>\n";
	break;

	case 4:
	print	"Il file di cui si &egrave; tentato il caricamento non sembra essere un file .pdf (primi 4 chars = ".$fourcar."). <br>\n";
	break;

	case 5:
	print	"La postazione da cui si &egrave; tentato il caricamento dell'offerta non &egrave; tra quelle autorizzate.<br>\n";
	break;

	default:
	break;
}

?>
</b>
</font>
<br><br><br>
</div>

</body>
</html>
