<?php

$gruppo = $_GET["lab"];
$ordine = $_GET["ord"];
$anno = $_GET["anno"];

# legge il percorso di backup

if ($mill = fopen ("../../caosdb/t-backpath", "r")) {
	flock ($mill, 1);
	$copypath = trim(fgets($mill, 1024));
	flock ($mill, 3);
	fclose ($mill);
}
else {
	print "Non &egrave; stato possibile leggere il file del percorso di backup";
}

# qui troviamo il percorso all'ordine contenuto nella cartella di archivio dell'anno richiesto

if($anno == "Corrente") {
	$filepath = "../../Caosdb/f-evasi/Corrente/".$gruppo."/".$ordine;
	$fornipath = "../../caosdb/l-fornitori/ForniTot";
	$delipath = "../../caosdb/n-consegne/Delivery";
}
else {
	$filepath = "../../../../../../Volumes/".$copypath.$anno."/f-evasi/Corrente/".$gruppo."/".$ordine;
	$fornipath = "../../../../../../Volumes/".$copypath.$anno."/l-fornitori/ForniTot";
	$delipath = "../../../../../../Volumes/".$copypath.$anno."/n-consegne/Delivery";
}

# Legge il file dell'ordine

if ($coll = fopen ($filepath, 'r')) {
	flock ($coll, 1);
	$i = 0;
	$info = Array();
	while (! feof($coll)) {
		$info[$i]=trim(fgets($coll, 1024));
		if($info[$i]=="¿") {
			$info[$i]="";
		}
		$i++;
	}
	flock ($coll, 3);
	fclose ($coll);
}
else {
	print "Non &egrave; stato possibile leggere il file dell'ordine da spedire";
}

$newinfo[0] = explode("¿",$info[17]);
$newinfo[1] = explode("¿",$info[18]);
$newinfo[2] = explode("¿",$info[19]);

$posemit = ($info[27]*5)+29;
if ($info[$posemit] != "") {
	$emitinfo = explode("¿",$info[$posemit]);
}
else {
	$emitinfo[0] = 0;
	$emitinfo[1] = 0;
}

$fullofferstring = "";
$k=0;
for($i=0;$i<count($newinfo[0]);$i++) {
	$k = $i+1;
	if ($emitinfo[0] > 0) {
		$fullofferstring = $fullofferstring.$newinfo[0][$i]." / ".date("j-n-Y",$emitinfo[$i]);
		if ($k<count($newinfo[0])) {
			$fullofferstring = $fullofferstring." e ";
		}
	}
	else {
		$fullofferstring = $fullofferstring.$newinfo[0][$i]." / --- ";
		if ($k<count($newinfo[0])) {
			$fullofferstring = $fullofferstring." e ";
		}
	}
}

$forniname = $info[15];

# Trova i dati del Fornitore

$datistampa = Array();
if ($entra = fopen ($fornipath, 'r')) {
	flock ($entra, 1);
	$forninfo = Array();
	while (! feof($entra)) {
		$riga = trim(fgets($entra, 1024));
		if ($riga > "") {
			$forninfo=explode("¿",$riga);
			if ($forninfo[0]==$info[15]) {
				$datistampa = $forninfo;
			}
		}
	}
	flock ($entra, 3);
	fclose ($entra);
}
else {
	print "Non &egrave; stato possibile leggere il file del nuovo fornitore";
}

# Trova il luogo di consegna

$consegna = Array();
if ($entra1 = fopen ($delipath, 'r')) {
	flock ($entra1, 1);
	$forninfo = Array();
	while (! feof($entra1)) {
		$diga = trim(fgets($entra1, 1024));
		if ($diga > "") {
			$delinfo=explode("¿",$diga);
			if ($delinfo[0]==$info[14]) {
				$consegna = $delinfo;
			}
		}
	}
	flock ($entra1, 3);
	fclose ($entra1);
}
else {
	print "Non &egrave; stato possibile leggere il file del nuovo fornitore";
}

# Costruzione stringhe degli importi

if($info[6] == "Estero") {

	$imgpath = "immagini/GoodOrder.jpg";
/*
	$stringa[0] = sprintf("%.2f",str_replace(",",".",$info[20]));
	$stringa[1] = sprintf("%.2f",str_replace(",",".",$info[21]));
	$stringa[2] = sprintf("%.2f",str_replace(",",".",$info[22]));
	$stringa[3] = sprintf("%.2f",str_replace(",",".",$info[23]));
	$stringa[4] = sprintf("%.2f",str_replace(",",".",$info[25]));
	$stringa[5] = sprintf("%.2f",str_replace(",",".",$info[26]));
	for ($d=0;$d<$info[27];$d++) {
		$stringa[6+($d*2)] = sprintf("%.2f",str_replace(",",".",$info[31+($d*5)]));
		$stringa[7+($d*2)] = sprintf("%.2f",str_replace(",",".",$info[32+($d*5)]));
	}
*/
	$stringa[0] = sprintf("%.2f",$info[20]);
	$stringa[1] = sprintf("%.2f",$info[21]);
	$stringa[2] = sprintf("%.2f",$info[22]);
	$stringa[3] = sprintf("%.2f",$info[23]);
	$stringa[4] = sprintf("%.2f",$info[25]);
	$stringa[5] = sprintf("%.2f",$info[26]);
	for ($d=0;$d<$info[27];$d++) {
		$stringa[6+($d*2)] = sprintf("%.2f",$info[31+($d*5)]);
		$stringa[7+($d*2)] = sprintf("%.2f",$info[32+($d*5)]);
	}
}
else {
	$imgpath = "immagini/BuonOrdine.jpg";

	$stringa[0] = $info[20];
	$stringa[1] = $info[21];
	$stringa[2] = $info[22];
	$stringa[3] = $info[23];
	$stringa[4] = $info[25];
	$stringa[5] = $info[26];
	for ($d=0;$d<$info[27];$d++) {
		$stringa[6+($d*2)] = $info[31+($d*5)];
		$stringa[7+($d*2)] = $info[32+($d*5)];
	}
}

# Sezione di calcolo delle pagine impiegate

$salines = 0;
for ($i=0;$i<3;$i++) {
	if($info[$i+20] > 0) {
		$salines++;
	}
}

$totlines = $info[27]+$salines;
if($totlines > 8) {
	$pagine = floor($info[27]/8);
	if(($info[27]-($pagine*8)) > 0) {
		$pagine++;
		if(($info[27]-($pagine*8)) > (8-$salines)) {
			$pagine++;
		}
	}
}
else {
	$pagine = 1;
}

?>
<?php

require('../../Caospdf/fpdf.php');

class PDF extends FPDF {
}

$pdf = new PDF();

for($i=0;$i<$pagine;$i++) {
	$j=$i+1;
	$pdf->AddPage();
	$pdf->Image($imgpath,2,2,200);
	$pdf->SetFont('Arial','',12);

	$pdf->Text(20,53,$datistampa[0]);
	$pdf->Text(20,59,$datistampa[8]);
	$pdf->Text(40,66,$info[1]." / ".$info[2]);
#	$pdf->Text(40,75,$info[17]." / ".date("j-n-Y",$offertime[1]));
	$pdf->Text(40,75,$fullofferstring);
	$pdf->Text(135,52,$info[3]);
	$pdf->Text(124,66,$datistampa[3]);

	$flines = 0;
	$clines = 0;
	$largh = array(16, 32, 78, 29, 32);
	if($i==($pagine-1)) {
		if($info[20] > 0) {
			$flines++;
		}
		if($info[21] > 0) {
			$flines++;
		}
		if($info[22] > 0) {
			$flines++;
		}
		if($info[20] > 0) {
			$slines = 211-($flines*6)+($clines*6);
			$argument = "Spese di gestione dell'ordine";
			$pdf->SetXY(56,$slines);
			$pdf->Cell(74,6,$argument,0,0,'R');
			$pdf->SetXY(160,$slines);
			$pdf->Cell($largh[4],6,$stringa[0],0,0,'R');
			$clines++;
		}
		if($info[21] > 0) {
			$slines = 211-($flines*6)+($clines*6);
			$argument = "Spese d'imballaggio";
			$pdf->SetXY(56,$slines);
			$pdf->Cell(74,6,$argument,0,0,'R');
			$pdf->SetXY(160,$slines);
			$pdf->Cell($largh[4],6,$stringa[1],0,0,'R');
			$clines++;
		}
		if($info[22] > 0) {
			$slines = 211-($flines*6)+($clines*6);
			$pdf->SetXY(56,$slines);
			$pdf->Cell(74,6,'Spese di trasporto',0,0,'R');
			$pdf->SetXY(160,$slines);
			$pdf->Cell($largh[4],6,$stringa[2],0,0,'R');
		}
		$pdf->SetXY(160,216);
		$pdf->Cell($largh[4],6,$stringa[3],0,0,'R');

		$pdf->Text(146,227,$info[24]);

		$pdf->SetXY(160,223);
		$pdf->Cell($largh[4],6,$stringa[4],0,0,'R');
		$pdf->SetXY(160,230);
		$pdf->Cell($largh[4],6,$stringa[5],0,0,'R');
	}
	else {
		$pdf->Text(187,221,'---');
		$pdf->Text(187,227,'---');
		$pdf->Text(187,234,'---');
	}

	$pdf->Text(20,222,$info[4]);
	$pdf->SetXY(10,242);
	$pdf->MultiCell(115,6,$consegna[0].", ".$consegna[1].", ".$consegna[2],0,'J');
	$pdf->Text(92,264,substr($datistampa[0],0,30));
	$pdf->Text(24,228,$datistampa[1]);
	$pdf->Text(175,74,'Pag. '.$j);

	$bn = ($i*8);
	if($i<($pagine-1)) {
		$un = ($i+1)*8;
	}
	else {
		$un = $info[27];
	}
	$pdf->SetXY(6, 90);
	for ($k=$bn;$k<$un;$k++) {
		if($info[32+($k*5)] > 0) {
			$nuce = ceil(strlen($info[30+($k*5)])/36);
			$pdf->SetX(6);
			$pdf->Cell($largh[0],6,$info[28+($k*5)],0,0,'C');
			$pdf->Cell($largh[1],6,$info[29+($k*5)],0,0,'C');
			$pdf->Cell($largh[2],6,substr($info[30+($k*5)],0,36),0,0,'L');
			$pdf->Cell($largh[3],6,$stringa[6+($k*2)],0,0,'R');
			$pdf->Cell($largh[4],6,$stringa[7+($k*2)],0,0,'R');
			for($mn=1;$mn<$nuce;$mn++) {
				$rip = $mn*36;
				$pdf->Ln(6);
				$pdf->SetX(54);
				$pdf->Cell($largh[2],6,substr($info[30+($k*5)],$rip,36),0,0,'L');
			}
			$pdf->Ln(10);
		}
	}
}

$pdf->Output();

?>
